import { DarkStarsUtility } from "./dark-stars-utility.js";

export const defaultItemImg = {
  skill: "systems/fvtt-dark-stars/images/icons/skill.webp",
  armor: "systems/fvtt-dark-stars/images/icons/armor.webp",
  equipment: "systems/fvtt-dark-stars/images/icons/equipment.webp",
  weapon: "systems/fvtt-dark-stars/images/icons/melee.webp",
  perk: "systems/fvtt-dark-stars/images/icons/perk.webp",
  ability: "systems/fvtt-dark-stars/images/icons/ability.webp",
  genetic: "systems/fvtt-dark-stars/images/icons/genetic.webp",
  cyber: "systems/fvtt-dark-stars/images/icons/cyber.webp",
  spell: "systems/fvtt-dark-stars/images/icons/magic.webp",
  psychic: "systems/fvtt-dark-stars/images/icons/psychicpowers.webp",
  }

/**
 * Extend the basic ItemSheet with some very simple modifications
 * @extends {ItemSheet}
 */
export class DarkStarsItem extends Item {

  constructor(data, context) {
    if (!data.img) {
      data.img = defaultItemImg[data.type];
    }
    super(data, context);
  }

}
